<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
  
  $fecini = $_POST['anio'].'-'.$_POST['mes'].'-01';
  $fecfin = $_POST['anio'].'-'.$_POST['mes'].'-31';
  $anio = $_POST['anio'];
  $mes = $_POST['mes'];
  
  switch($mes)
  {
     case '01': $mesnom = "Enero"; break;
     case '02': $mesnom = "Febrero"; break;
     case '03': $mesnom = "Marzo"; break;
     case '04': $mesnom = "Abril"; break;
     case '05': $mesnom = "Mayo"; break;
     case '06': $mesnom = "Junio"; break;
     case '07': $mesnom = "Julio"; break;
     case '08': $mesnom = "Agosto"; break;
     case '09': $mesnom = "Septiembre"; break;
     case '10': $mesnom = "Octubre"; break;
     case '11': $mesnom = "Noviembre"; break;
     case '12': $mesnom = "Diciembre"; break;
    }
  
  $primlugs = "SELECT id_inver, nombre, appat, apmat, total FROM inversionista JOIN regalias ON inversionista.id_inver = regalias.inversionista_id_inver WHERE regalias.fecha BETWEEN '$fecini' AND '$fecfin' ORDER BY total DESC";
  $xprim = mysqli_query($conexion, $primlugs);
  if(mysqli_affected_rows($conexion))
  {	
   	echo "<br />";
   	echo "<center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Regal&iacute;as del mes de $mesnom de $anio.</label></center>";
   	echo "<br /><br />";
   	echo "<table border='1' align='center' width='500'>";
   	$cnt = 1;
   	$totregs = 0;
   	while($r = mysqli_fetch_object($xprim))
   	{
   	 	$total = number_format($r->total,2);
   		echo "<tr align='right'> <td>$cnt <td align='left'>$r->nombre $r->appat $r->apmat <td style='font-weight: bold'>$$total </tr>";
   	    $cnt++;
   	    $totregs+=$total;
   	 }
    echo "</table>";
    $totregs = number_format($totregs,2);
    echo "<br /> <br /> <center>Total de regal&iacute;as repartidas: <label style='font-weight:bold; font-size:16px'> $$totregs</label> ";
   }
   else 
   {
   	    echo "<html>";
   		echo "<head><meta http-equiv='Refresh' content='7;URL=javascript: history.go(-1);'></head>";
    	echo "<center>";
   		echo "<div style='width:500px; height:400; background: url(logotransp2.gif)'";
   		echo "<form name='form1' action='index.php' method='post' style='padding-top:120px'>";
   		echo "<label style='color:#FF0000; font-weight:bold; font-size:26px; padding-left:30px;'>MENSAJE:</label> <br /> <label style='color:#5C3C12; font-weight:bold; font-size:22px; padding-left:30px;'>NO SE ENCONTRARON REGISTROS DE PERSONAS QUE HAYAN GANADO REGALIAS EN ESE MES.</label>";
    	echo "<br /><br />Pulsa <a href='javascript: history.go(-1);'>aqu&iacute;</a> si tu navegador no te redirecciona automaticamente";
   	
   		echo "</form>";
   		echo "</div>";
    	echo "</center>";
    	echo "</html>";
   }
?>